Skip Menu |
 

This queue is for tickets about the Digest-MD6 CPAN distribution.

Report information
The Basics
Id: 85583
Status: open
Priority: 0/
Queue: Digest-MD6

People
Owner: Nobody in particular
Requestors: james2vegas [...] aim.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.11
Fixed in: (no value)



Subject: Doesn't build on Perl 5.18, old Devel::CheckLib in inc/
The version of Devel::CheckLib in inc/ is 0.6, which doesn't have this fix from 0.9:
0.9     2010-09-29      Fix deprecated parenthesis. use "(qw())".

which was deprecated in 5.16 and is now a syntax error in 5.18.
Download (untitled) / with headers
text/plain 325b
On 2013-05-23 15:35:11, JWRIGHT wrote: Show quoted text
> The version of Devel::CheckLib in inc/ is 0.6, which doesn't have this > fix from > 0.9: > 0.9 2010-09-29 Fix deprecated parenthesis. use "(qw())". > > which was deprecated in 5.16 and is now a syntax error in 5.18.
The distribution also fails to build with perl 5.20.0 and 5.21.x.
Download (untitled) / with headers
text/plain 658b
On Sat Aug 09 04:11:05 2014, SREZIC wrote: Show quoted text
> On 2013-05-23 15:35:11, JWRIGHT wrote:
> > The version of Devel::CheckLib in inc/ is 0.6, which doesn't have this > > fix from > > 0.9: > > 0.9 2010-09-29 Fix deprecated parenthesis. use "(qw())". > > > > which was deprecated in 5.16 and is now a syntax error in 5.18.
> > The distribution also fails to build with perl 5.20.0 and 5.21.x.
It is recommended not to bundle Devel::CheckLib at all anymore, but instead to add it as a configure dependency. https://metacpan.org/pod/release/MATTN/Devel-CheckLib-1.07/bin/use-devel-checklib#DESCRIPTION https://metacpan.org/pod/ExtUtils::MakeMaker#CONFIGURE_REQUIRES


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.